clear
cd "/Users/xueyuan/Documents/Stata洞察数据科学研讨会"
sysuse "auto.dta", clear

* varname & varlabel
sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) varname

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) varlabel


corr2docx price mpg weight length using corr.docx, replace varname

corr2docx price mpg weight length using corr.docx, replace varlabel


t2docx price mpg weight length using t.docx, replace varname by(foreign)

t2docx price mpg weight length using t.docx, replace varlabel by(foreign)


reg price mpg
est store m1
reg price mpg weight length
est store m2
reg2docx m1 m2 using reg.docx, replace varname

reg2docx m1 m2 using reg.docx, replace varlabel

* note()

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) note("data source: 1978 automobile data")

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) note("data source: 1978 automobile data", font("楷体"))

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) note("data source: 1978 automobile data", halign("center"))


* margin()

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f))

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) margin(all, 0.5in)

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) margin(top, 1in) margin(left, 0.5in) margin(right, 0.5in)


* append

sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) font("times noew roman", 9)
sum2docx price mpg weight length using sum.docx, append stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) font("楷体", 11)


sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) font("times noew roman", 9)
sum2docx price mpg weight length using sum.docx, append(stylesrc(own)) stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) font("楷体", 11)


sum2docx price mpg weight length using sum.docx, replace stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f))
sum2docx price mpg weight length using sum.docx, append(pagebreak) stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) landscape


* starsps

corr2docx price mpg weight length using corr.docx, replace star

corr2docx price mpg weight length using corr.docx, replace star starsps


t2docx price mpg weight length using t.docx, replace by(foreign) star

t2docx price mpg weight length using t.docx, replace by(foreign) star starsps


reg2docx m1 m2 using reg.docx, replace star

reg2docx m1 m2 using reg.docx, replace star starsps


* t2docx - diff()

t2docx price mpg weight length using t.docx, replace by(rep78) diff(1 5) landscape


* reg2docx - ci()

reg2docx m1 m2 using reg.docx, replace ci(%9.2f)


* reg2docx - r2

reg2docx m1 m2 using reg.docx, replace scalars(N r2(%9.2f) r2_a(%9.2f))





* reg2docx - addfe()

webuse nlswork
xtset idcode year
xtreg ln_w age c.age#c.age i.year, fe
est store m1
xtreg ln_w age c.age#c.age ttl_exp c.ttl_exp#c.ttl_exp i.year, fe
est store m2
reg2docx m1 m2 using reg.docx, replace scalars(N r2(%9.2f)) indicate("Year FE = *year*") addfe("Individual FE = Yes")






* 输出整篇论文
clear
cd "/Users/xueyuan/Documents/Stata洞察数据科学研讨会"
*net get musr, from("http://www.stata-press.com/data/musr")

use mus08psidextract.dta, clear
putdocx clear
putdocx begin, font("Times New Roman", 16, black)
putdocx paragraph, halign(center)
putdocx text ("The Relationship between Wages and Work Experience"), bold   ///
  font("Times New Roman", 30, black) 
putdocx paragraph, halign(center)
putdocx text ("Author's Name"), font("Times New Roman", 16, black) bold linebreak
putdocx text ("Email: "), font("Times New Roman", 16, black) bold
putdocx text ("author@email.com"), font("Times New Roman", 16, black)
putdocx pagebreak
putdocx paragraph, halign(left)
putdocx text ("Abstract"), font("Times New Roman", 16, black) bold
putdocx textblock begin
This paper investigates the relationship between work experiences and wages. Based on the 
data from Chapter 8 of Microeconometrics Using Stata, Revised Edition, we find that wages 
increase with experience until a peak and then decline.
putdocx textblock end
putdocx paragraph, halign(left)
putdocx text ("Introduction"), font("Times New Roman", 20, black) bold
putdocx textblock begin
A growing number of empirical research study the influential factors of wages. In this 
study, we examine the relationship between wages and work experience. Based on the data 
from the Panel Study of Income Dynamics (PSID) (Cameron and Trivedi, 2010), we find that 
wages increase with experience until a peak and then decline.
putdocx textblock end
putdocx save "EmpiricalResults.docx", replace


putdocx begin, font("Times New Roman", 16, black)
putdocx paragraph, halign(left)
putdocx text ("Data"), font("Times New Roman", 24, black) bold
putdocx textblock begin
Data for the main analysis comes from the Panel Study of Income Dynamics (PSID) (Cameron and Trivedi, 2010). 
The sample consists of 4,165 individual–year pair observations.
putdocx textblock end
putdocx paragraph, halign(left)
putdocx text ("Summary Statistics"), font("Times New Roman", 20, black) bold
putdocx textblock begin
Table 1 displays summary statistics, the variables take on values that are within the expected ranges. 
The average log-transformed hourly wage in cents in our sample is 6.68, which translates into around 
$7.96 per hour. The average years of full-time word experience is 19.85.
putdocx textblock end
putdocx save "EmpiricalResults.docx", append(stylesrc(own))
sum2docx exp - lwage using "EmpiricalResults.docx", title("Table 1 Summary Statistics")   ///
  stats(N mean(%9.2f) sd(%9.2f) min(%9.2f) median(%9.2f) max(%9.2f)) append


putdocx begin, font("Times New Roman", 16, black)
putdocx paragraph, halign(left)
putdocx text ("Correlation Matrix"), font("Times New Roman", 20, black) bold
putdocx textblock begin
Table 2 shows correlation matrix, the upper triangular is spearman correlation matrix and the lower 
triangular reports pearson correlation coefficients. As we can see, there is a positive correlation 
between wages and work experience.
putdocx textblock end
putdocx save "EmpiricalResults.docx", append(stylesrc(own))
corr2docx exp - lwage using "EmpiricalResults.docx",  append(pagebreak stylesrc(own)) landscape ///
  fmt(%9.4f) star title("Table 2 Correlation Coefficient") spearman(pw) pearson(pw) ///
  font("Times New Roman", 9, black)


egen medianwage = median(lwage)
gen group = lwage >= medianwage
putdocx begin, font("Times New Roman", 16, black)
putdocx sectionbreak
putdocx paragraph, halign(left)
putdocx text ("T-test"), font("Times New Roman", 20, black) bold
putdocx textblock begin
We then divide our sample into high-wage and low-wage groups using the median of the hourly 
wages as a benchmark. So the differences in the identical of other variables between the 
groups are compared. Table 3 reports the t-test result. It is shown that employees with 
higher wages have more years of work experience and education; they are less likely to be 
females; blue-collar workers or live in the southern area. The results also show that, 
married people and those who live in the standard metropolitan statistical areas earn more.
putdocx textblock end
putdocx save "EmpiricalResults.docx", append(stylesrc(own))
t2docx exp - blk using "EmpiricalResults.docx",  append by(group) fmt(%9.2f)   ///
  title("Table 3 T-test Table")


putdocx begin, font("Times New Roman", 16, black)
putdocx paragraph, halign(left)
putdocx text ("Empirical Results"), font("Times New Roman", 20, black) bold
putdocx textblock begin
We test the quadratic relation using regression analysis. We regress log wages(lwage) on 
years of full-time work experience(exp) and the quadratic term of exp(exp2) while controlling 
other variables. The regression results were reported in Table 4. We report pooled OLS results 
in the first two columns and use cluster-robust standard errors in the second column. In the 
last two columns, we use fixed effect and cluster-robust standard errors. In the first and third 
columns, we also control the time fixed effect. The estimates imply an inverted U-shaped relationship 
between wages and work experience.
putdocx textblock end
putdocx save "EmpiricalResults.docx", append(stylesrc(own))
xtset id t
reg lwage exp exp2 wks occ ind south smsa ms union fem ed blk, r
est store m1
reg lwage exp exp2 wks occ ind south smsa ms union fem ed blk i.t, vce(cluster id)
est store m2
xtreg lwage exp exp2 wks occ ind south smsa ms union, fe vce(cluster id)
est store m3
xtreg lwage exp exp2 wks occ ind south smsa ms union i.t, fe vce(cluster id)
est store m4
reg2docx m1 m2 m3 m4 using "EmpiricalResults.docx", append scalars(N r2_a(%9.2f)) ///
  drop(wks occ ind south smsa ms union fem ed blk) t(%9.2f) indicate("Time FE = *t") ///
  addfe("Individual FE = No No Yes Yes")  title("Table 4 Regression Results") ///
  note("* p<0.1, ** p<0.05, *** p<0.01", font(, 9))


putdocx begin, font("Times New Roman", 16, black)
putdocx paragraph, halign(left)
putdocx text ("Conclusion"), font("Times New Roman", 20, black) bold
putdocx textblock begin
This paper investigates 
the relationship between work experiences and wages. Using the data from the Chapter 8 
of Microeconometrics Using Stata, Revised Edition, we find a quadric relationship between wages and 
work experience, wages increase with experience until a peak and then decline.
putdocx textblock end
putdocx save "EmpiricalResults.docx", append(stylesrc(own))








